LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-06-2018, 11:32 AM   #1
deuxvolks
LQ Newbie
 
Registered: Jun 2018
Posts: 2

Rep: Reputation: Disabled
libcrypto.so.1.0.0: cannot open


Is anyone encounter the same with me when I use the isc_ipmitool command on CentOS and run into this error:

Linux version:
CentOS Linux release 7.4.1708 (Core)
Linux localhost.localdomain 3.10.0-693.21.1.el7.x86_64 #1 SMP Wed Mar 7 19:03:37 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

#isc_ipmitool -V
error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory

Any command, or suggestion is appreciated!
Thanks,
Danny
 
Old 06-06-2018, 11:35 AM   #2
RadicalDreamer
Senior Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 1,119

Rep: Reputation: 547Reputation: 547Reputation: 547Reputation: 547Reputation: 547Reputation: 547
Check to see if libcrypto is installed, if not install it.
 
1 members found this post helpful.
Old 06-06-2018, 11:40 AM   #3
deuxvolks
LQ Newbie
 
Registered: Jun 2018
Posts: 2

Original Poster
Rep: Reputation: Disabled
Thanks RadicalDreamer for your quick response. I have done yum update/install all the lib* but the error still persisted.
 
1 members found this post helpful.
Old 06-06-2018, 11:59 AM   #4
jsbjsb001
Registered User
 
Registered: Mar 2009
Location: Earth? I would say I hope so but I'm not so sure about that... I could just be a figment of your imagination too.
Distribution: Currently OpenMandriva. Previously openSUSE, PCLinuxOS, CentOS, among others over the years.
Posts: 3,440

Rep: Reputation: 1782Reputation: 1782Reputation: 1782Reputation: 1782Reputation: 1782Reputation: 1782Reputation: 1782Reputation: 1782Reputation: 1782Reputation: 1782Reputation: 1782
Quote:
Originally Posted by deuxvolks View Post
Is anyone encounter the same with me when I use the isc_ipmitool command on CentOS and run into this error:...
#isc_ipmitool -V
error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory
...
On my system, the following command gives me this:

Code:
[root@jamespc ~]# locate libcrypto
/usr/lib64/.libcrypto.so.1.0.2k.hmac
/usr/lib64/.libcrypto.so.10.hmac
/usr/lib64/libcrypto.so.1.0.2k
/usr/lib64/libcrypto.so.10
Running the following commands:

Code:
[root@jamespc ~]# repoquery -l openssl-libs
[output snipped]
/usr/lib/libcrypto.so.1.0.2k
/usr/lib/libcrypto.so.10
Code:
[root@jamespc ~]# file /usr/lib64/libcrypto.so.1.0.2k
/usr/lib64/libcrypto.so.1.0.2k: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=67ceb4edd36bfe0eb31cd92da2694aca5377a599, stripped
[root@jamespc ~]# file /usr/lib64/libcrypto.so.10
/usr/lib64/libcrypto.so.10: symbolic link to `libcrypto.so.1.0.2k'
How did you install "isc_ipmitool" ?

It doesn't look to me like you installed via yum. Did you ?
 
1 members found this post helpful.
Old 06-06-2018, 12:07 PM   #5
RadicalDreamer
Senior Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 1,119

Rep: Reputation: 547Reputation: 547Reputation: 547Reputation: 547Reputation: 547Reputation: 547
Have you run ldconfig and updatedb?
https://linux.die.net/man/8/ldconfig
https://linux.die.net/man/8/updatedb

Try in terminal
Code:
locate libcrypto.so.1.0.0
and see if it finds it.

I'm not a CentOS user but it looks like the program can't locate the library. The first thing to try is to see if its there and update the library database information.

Edit: Aww jsbjsb001 beat me to it
 
Old 06-07-2018, 07:17 AM   #6
AwesomeMachine
LQ Guru
 
Registered: Jan 2005
Location: USA and Italy
Distribution: Debian testing/sid; OpenSuSE; Fedora; Mint
Posts: 5,513

Rep: Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007Reputation: 1007
Tell me you didn't install every lib* package!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
libcrypto.so.10()(64bit) and libcrypto.so.10(libcrypto.so.10)(64bit) usmanismail Linux - Enterprise 1 09-15-2015 04:57 PM
dlopen error : libcrypto.so.6: cannot open shared object file Spencerbaibai Linux - Software 2 01-30-2012 04:54 AM
Have libcrypto.so.10, program wants libcrypto.so.7 jonaskellens Linux - Newbie 3 06-30-2010 02:25 PM
I need libcrypto.so.6 jonaskellens Linux - Software 4 11-26-2008 03:22 AM
libcrypto.so.4 conflicts with libcrypto.so.2 for hp driver sid_datta Linux - Newbie 0 07-25-2003 06:06 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 05:47 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration